summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--contrib/simple_deploy.sh14
-rwxr-xr-xlib/post-install-functions.sh8
2 files changed, 11 insertions, 11 deletions
diff --git a/contrib/simple_deploy.sh b/contrib/simple_deploy.sh
index f4b082ae..6ad727d5 100644
--- a/contrib/simple_deploy.sh
+++ b/contrib/simple_deploy.sh
@@ -1,19 +1,19 @@
#!/bin/bash
set -e
-apex_home=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+apex_home=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/../
export CONFIG=$apex_home/build
export LIB=$apex_home/lib
export RESOURCES=$apex_home/.build/images/
export PYTHONPATH=$PYTHONPATH:$apex_home/lib/python
-$apex_home/ci/dev_dep_check.sh
+$apex_home/ci/dev_dep_check.sh || true
+$apex_home/ci/clean.sh
pushd $apex_home/build
make clean
make undercloud
make overcloud-opendaylight
+popd
pushd $apex_home/ci
-./clean.sh
-./dev_dep_check.sh
-out=/tmp/opnfv-deploy.out
-echo "All further output will be piped to $out"
-(nohup ./deploy.sh -v -n $apex_home/config/network/network_settings.yaml -d $apex_home/config/deploy/os-odl_l3-nofeature-noha.yaml &> $out &)
+echo "All further output will be piped to $PWD/nohup.out"
+(nohup ./deploy.sh -v -n $apex_home/config/network/network_settings.yaml -d $apex_home/config/deploy/os-odl_l3-nofeature-noha.yaml &)
+tail -f nohup.out
popd
diff --git a/lib/post-install-functions.sh b/lib/post-install-functions.sh
index c951478a..51287c4b 100755
--- a/lib/post-install-functions.sh
+++ b/lib/post-install-functions.sh
@@ -107,14 +107,14 @@ fi
echo "Removing sahara endpoint and service"
sahara_service_id=\$(openstack service list | grep sahara | cut -d ' ' -f 2)
sahara_endpoint_id=\$(openstack endpoint list | grep sahara | cut -d ' ' -f 2)
-openstack endpoint delete \$sahara_endpoint_id
-openstack service delete \$sahara_service_id
+[[ -n "\$sahara_endpoint_id" ]] && openstack endpoint delete \$sahara_endpoint_id
+[[ -n "\$sahara_service_id" ]] && openstack service delete \$sahara_service_id
echo "Removing swift endpoint and service"
swift_service_id=\$(openstack service list | grep swift | cut -d ' ' -f 2)
swift_endpoint_id=\$(openstack endpoint list | grep swift | cut -d ' ' -f 2)
-openstack endpoint delete \$swift_endpoint_id
-openstack service delete \$swift_service_id
+[[ -n "\$swift_endpoint_id" ]] && openstack endpoint delete \$swift_endpoint_id
+[[ -n "\$swift_service_id" ]] && openstack service delete \$swift_service_id
if [ "${deploy_options_array['dataplane']}" == 'fdio' ] || [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
for flavor in \$(openstack flavor list -c Name -f value); do